
Foreman - Bug #1439

Foreman can only use Puppetmaster's via smartproxy that expose "Puppet CA"

01/09/2012 04:37 PM - Ashley Penney

Status: Duplicate   

Priority: Normal   

Assignee: Ashley Penney   

Category:    

Target version: 1.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Puppetmaster's are only usable from the host edit page if they have the "Puppet CA" feature which breaks in the face of a single

puppetmaster dedicated to certs:

diff --git a/app/views/hosts/_form.html.erb b/app/views/hosts/_form.html.erb

index 8a814aa..04fabd6 100644

--- a/app/views/hosts/_form.html.erb

+++ b/app/views/hosts/_form.html.erb

@@ -25,7 +25,7 @@

           :help_inline => image_tag("spinner.gif", :id => "indicator1", :style => "display:none;"

)

       } %>

       <%= select_f f, :environment_id, Environment.all, :id, :to_label, { :include_blank => true 

} %>

-      <%= select_f f, :puppetproxy_id,Feature.find_by_name("Puppet CA").smart_proxies, :id, :name

,

+      <%= select_f f, :puppetproxy_id,Feature.find_by_name("Puppet").smart_proxies, :id, :name,

         { :include_blank => true},

         { :label => "Puppet Master Proxy"}

       %>

Sorry this took so long to patch, Ohadlevy, but as you know I'm an idiot!

Related issues:

Is duplicate of Foreman - Feature #1503: When creating a host, it should be p... Closed 02/23/2012

History

#1 - 01/15/2012 09:49 AM - Ohad Levy

- Assignee set to Ashley Penney

- Target version set to 1.0

- Difficulty set to easy

mind sending a git patch?

#2 - 01/29/2012 08:55 AM - Ohad Levy

bump!

and, maybe we should display both? (CA + Puppet) ?

#3 - 02/05/2012 12:33 PM - Ashley Penney

Sorry, I didn't see the git patch thing.  I'll take care of this on Monday.  Actually your update made me think - it would be nice to have a separate

drop-down for CA.  In my environment I have separated out the Puppet and CA bit so being able to select both and then deal with that in templates

would be awesome.

As it stands they are all pointing to one CA server right now but it makes sense to keep that information in Foreman rather than just hardcoded into a
template within puppet.

#4 - 02/09/2012 06:46 AM - Ohad Levy

sounds good

btw: today is Thu :)

#5 - 02/23/2012 03:05 PM - Ashley Penney

Two weeks late but: https://github.com/theforeman/foreman/pull/28

#6 - 03/13/2012 05:44 AM - Ohad Levy

- Status changed from New to Duplicate
